## f-engrave 1.58.linuxcnc1

=== Makefile ===
.PHONY: all
all: f-engrave
	make -C TTF2CXF_STREAM linux

f-engrave: f-engrave-158.py
	cat $< | fromdos > $@

.PHONY: install
install: f-engrave
	install -d $(DESTDIR)/bin
	install -m 755 f-engrave $(DESTDIR)/bin/f-engrave
	make -C TTF2CXF_STREAM install

clean:
	rm -f f-engrave

=== TTF2CXF_STREAM/Makefile ===
#
# Makefile for TTF2CXF_STREAM
# Date: 6/28/2013

WIN_BASEDIR = freetype-2.3.5-1-lib

all: linux

linux:
	g++ -o ttf2cxf_stream ttf2cxf_stream.cpp -lm -I/usr/include/freetype2 -lfreetype

install: linux
	@echo "Installing... ttf2cxf_stream"
	install -m 755 -t $(DESTDIR)/bin ttf2cxf_stream
	@echo "Done Installing..."

win:
	g++ -o ttf2cxf_stream         \
		ttf2cxf_stream.cpp    \
		-static-libgcc        \
		-static-libstdc++     \
		-lm                   \
		-lfreetype.dll        \
		-lfreetype            \
		-I$(WIN_BASEDIR)/include             \
		-I$(WIN_BASEDIR)/include/freetype2   \
		-L$(WIN_BASEDIR)/lib                 \
		$(WIN_BASEDIR)/lib/freetype.lib

=== debian/changelog ===
f-engrave (1.58.linuxcnc1) unstable; urgency=low

  * Initial release (based on F-Engrave 1.58 from Scorch Works).

 -- Sebastian Kuzminsky <seb@highlab.com>  Wed, 01 Jun 2016 13:40:56 -0600

=== debian/control ===
Source: f-engrave
Section: unknown
Priority: optional
Maintainer: Sebastian Kuzminsky <seb@highlab.com>
Build-Depends: debhelper (>= 9), python, libfreetype6-dev, tofrodos
Standards-Version: 3.9.5
Homepage: http://www.scorchworks.com/Fengrave/fengrave.html
#Vcs-Git: git://anonscm.debian.org/collab-maint/f-engrave.git
#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/f-engrave.git;a=summary

Package: f-engrave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, potrace
Description: F-Engrave is a text or image to g-code program for engraving and v-carving
 F-Engrave is a text or image to g-code program (for both engraving and
 v-carving) that is written in Python and is based on the text engraving
 software (engrave-11) available in the LinuxCNC Wiki.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh  $@ --with python2

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
